Bug 19500 - Make module names on letters overview page translatable
Summary: Make module names on letters overview page translatable
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-20 10:20 UTC by Séverine Queune
Modified: 2018-08-24 10:22 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19500: Make module names on letters overview page translatable (3.20 KB, patch)
2018-08-10 23:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19500: Make module names on letters overview page translatable (3.25 KB, patch)
2018-08-15 14:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19500: (QA follow-up) Add spans to ease translation (2.33 KB, patch)
2018-08-15 21:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19500: Make module names on letters overview page translatable (3.33 KB, patch)
2018-08-17 16:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19500: (QA follow-up) Add spans to ease translation (2.40 KB, patch)
2018-08-17 16:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19500: Add missing span for 'other' (1.24 KB, patch)
2018-08-17 16:21 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2017-10-20 10:20:57 UTC
Choose 'Holds Koha module' in the form displays 'Reserves module' in the tools/letter.pl page.
Comment 1 Katrin Fischer 2017-12-17 19:58:56 UTC
That is because the module name on the summary table is not translated.
Comment 2 Katrin Fischer 2018-08-10 23:04:03 UTC
Created attachment 77724 [details] [review]
Bug 19500: Make module names on letters overview page translatable

While the module pull down on adding and editing a letter is
written out and fully translatable, the overview page showed
the internal 'module code'.

Patch also renames the "Members" module into the "Patrons" module
to match Koha's terminology.

To test:
- Before applying the patch:
  - Add or edit a notice, look at the pull down for module
  - Go back to the overview page
  - Verify the module names don't match
- Apply the patch:
  - Check again, pull downs should now match
  - Verify that Members is now Patrons everywhere
Comment 3 Owen Leonard 2018-08-15 14:22:21 UTC
Created attachment 77815 [details] [review]
Bug 19500: Make module names on letters overview page translatable

While the module pull down on adding and editing a letter is
written out and fully translatable, the overview page showed
the internal 'module code'.

Patch also renames the "Members" module into the "Patrons" module
to match Koha's terminology.

To test:
- Before applying the patch:
  - Add or edit a notice, look at the pull down for module
  - Go back to the overview page
  - Verify the module names don't match
- Apply the patch:
  - Check again, pull downs should now match
  - Verify that Members is now Patrons everywhere

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Jonathan Druart 2018-08-15 16:47:56 UTC
Should not we surround the strings with spans?
Comment 5 Katrin Fischer 2018-08-15 17:07:16 UTC
(In reply to Jonathan Druart from comment #4)
> Should not we surround the strings with spans?

We could, but it's not necessary. The text will show up in the po file, because it's inside a parsed html element: <td>
It will show up as one string, which can be good sometimes as it means you have more context.

If we add <span> tags, they will all show up separately and might get merged with existing translations. So both versions have advantages.
Comment 6 Katrin Fischer 2018-08-15 21:14:59 UTC
Created attachment 77860 [details] [review]
Bug 19500: (QA follow-up) Add spans to ease translation
Comment 7 Katrin Fischer 2018-08-15 21:16:19 UTC
Thought a bit more about it - adding the spans will help translation more, as it will make them match with the strings from the pull down list.
Comment 8 Jonathan Druart 2018-08-17 16:20:58 UTC
Created attachment 77987 [details] [review]
Bug 19500: Make module names on letters overview page translatable

While the module pull down on adding and editing a letter is
written out and fully translatable, the overview page showed
the internal 'module code'.

Patch also renames the "Members" module into the "Patrons" module
to match Koha's terminology.

To test:
- Before applying the patch:
  - Add or edit a notice, look at the pull down for module
  - Go back to the overview page
  - Verify the module names don't match
- Apply the patch:
  - Check again, pull downs should now match
  - Verify that Members is now Patrons everywhere

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2018-08-17 16:21:02 UTC
Created attachment 77988 [details] [review]
Bug 19500: (QA follow-up) Add spans to ease translation

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2018-08-17 16:21:07 UTC
Created attachment 77989 [details] [review]
Bug 19500: Add missing span for 'other'

To stay consistent in the DOM structure it would make sense to have it
there as well

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Nick Clemens 2018-08-21 13:54:41 UTC
Awesome work all!

Pushed to master for 18.11
Comment 12 Martin Renvoize 2018-08-24 10:22:48 UTC
Pushed to 18.05.x for 18.05.03